Magento Forum

Errore 500 dopo aggiornamento da magento connect
 
enzoeffe5
Jr. Member
 
Total Posts:  19
Joined:  2013-03-01
 

Salve a tutti, spero qualcuno trovi una soluzione. Sicuramente sarà un problema banale. Dunque dopo aver cercato di aggiornare magento 1.4 dal magento connect con l’inserimento della string “magento-core/Mage_All_Latest” ...mi sono ritrovato con un errore 500. Ho provato a settare i pemessi a 775, ma niente nessuna soluzione.
Sarà qualche problema relativo al file .htaccess?

Spero in un vostro aiuto

 
Magento Community Magento Community
Magento Community
Magento Community
 
TreInnova
Guru
 
Avatar
Total Posts:  465
Joined:  2009-02-20
Fano
 
enzoeffe5 - 27 March 2013 09:04 AM

Salve a tutti, spero qualcuno trovi una soluzione. Sicuramente sarà un problema banale. Dunque dopo aver cercato di aggiornare magento 1.4 dal magento connect con l’inserimento della string “magento-core/Mage_All_Latest” ...mi sono ritrovato con un errore 500. Ho provato a settare i pemessi a 775, ma niente nessuna soluzione.
Sarà qualche problema relativo al file .htaccess?

Spero in un vostro aiuto

Ciao a quale versione hai aggiornato?
Hai fatto (spero) un backup?
saluti
fe.

 
Magento Community Magento Community
Magento Community
Magento Community
 
enzoeffe5
Jr. Member
 
Total Posts:  19
Joined:  2013-03-01
 

Ciao, suppongo che con il comando “magento-core/Mage_All_Latest” recupera la più recente quindi la 1.7 se non erro.
Si ho fatto un backup dei file....
A questo punto mi chiedo se installo la 1.7 copiando i file sul server e nell installazione mi collego al db ? È giusta come procedura ?
Grazie, saluti

 
Magento Community Magento Community
Magento Community
Magento Community
 
TreInnova
Guru
 
Avatar
Total Posts:  465
Joined:  2009-02-20
Fano
 
enzoeffe5 - 27 March 2013 12:52 PM

Ciao, suppongo che con il comando “magento-core/Mage_All_Latest” recupera la più recente quindi la 1.7 se non erro.
Si ho fatto un backup dei file....
A questo punto mi chiedo se installo la 1.7 copiando i file sul server e nell installazione mi collego al db ? È giusta come procedura ?
Grazie, saluti

Puoi provare questo :
1) carica una 1.7 e imposta come database quello che vuoi aggiornare.
La procedura dovrebbe tentare un aggiornamento dati. Se qualcosa va storto puoi verificare
con lo strumento db repair tools che puoi scaricare dal sito magento.
Se non funziona nemmeno questo armati di pazienza e di un buon debugger .( io uso eclipse + xdebug per
debuggare ogni linea di codice magento).
saluti
fe

 
Magento Community Magento Community
Magento Community
Magento Community
 
enzoeffe5
Jr. Member
 
Total Posts:  19
Joined:  2013-03-01
 

Puoi provare questo :
1) carica una 1.7 e imposta come database quello che vuoi aggiornare.
La procedura dovrebbe tentare un aggiornamento dati. Se qualcosa va storto puoi verificare
con lo strumento db repair tools che puoi scaricare dal sito magento.
Se non funziona nemmeno questo armati di pazienza e di un buon debugger .( io uso eclipse + xdebug per
debuggare ogni linea di codice magento).
saluti
fe

ok grazie.......per il momento sono arrivato all’installazione “attaccandogli” il db esistente.
Eh mi ritrovo alcuni errori tipo

a:5:{i:0;s:266:"Error in file: "/home/ciard4ca/public_html/app/code/core/Mage/Core/sql/core_setup/mysql4-upgrade-1.5.9.9-1.6.0.0.php" - SQLSTATE[HY000]: General error: 1025 Error on rename of './ciard4ca_shop/sales_flat_quote_item' to './ciard4ca_shop/#sql2-17b8-63384' (errno: 152)";i:1;s:984:"#0 /home/ciard4ca/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception('Mage_Core', 'Error in file: ...')
#1 /home/ciard4ca/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(437): Mage_Core_Model_Resource_Setup->_modifyResourceDb('upgrade', '0.8.28', '1.6.0.2')
#2 /home/ciard4ca/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(320): Mage_Core_Model_Resource_Setup->_upgradeResourceDb('0.8.28', '1.6.0.2')
#3 /home/ciard4ca/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /home/ciard4ca/public_html/app/code/core/Mage/Core/Model/App.php(417): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /home/ciard4ca/public_html/app/code/core/Mage/Core/Model/App.php(343): Mage_Core_Model_App->_initModules()
#6 /home/ciard4ca/public_html/app/Mage.php(683): Mage_Core_Model_App->run(Array)
#7 /home/ciard4ca/public_html/index.php(87): Mage::run('', 'store')
#8 {main}"
;s:3:"url";s:36:"/index.php/install/wizard/installDb/";s:11:"script_name";s:10:"/index.php";s:4:"skin";s:7:"default";}

Devo usare il db repair tools?

 
Magento Community Magento Community
Magento Community
Magento Community
 
enzoeffe5
Jr. Member
 
Total Posts:  19
Joined:  2013-03-01
 

*errori

 
Magento Community Magento Community
Magento Community
Magento Community
 
TreInnova
Guru
 
Avatar
Total Posts:  465
Joined:  2009-02-20
Fano
 
enzoeffe5 - 28 March 2013 08:49 AM

*errori

Sì prova a “riparare”.

 
Magento Community Magento Community
Magento Community
Magento Community
 
enzoeffe5
Jr. Member
 
Total Posts:  19
Joined:  2013-03-01
 

Però non ho ben capito il funzionamento del db repair tools.

Corrupted Database Connection è il db che ho da riparare, giusto?! Reference Database Connection?

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top